/***************************************************************************
 $RCSfile: customer_p.h,v $
                             -------------------
    cvs         : $Id: customer_p.h,v 1.5 2004/10/24 15:57:12 aquamaniac Exp $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/

#ifndef AH_CUSTOMER_P_H
#define AH_CUSTOMER_P_H

#include "customer_l.h"



struct AH_CUSTOMER {
  GWEN_LIST_ELEMENT(AH_CUSTOMER);

  int hbciVersion;

  AH_USER *user;

  int ignoreUPD;

  char *customerId;
  char *fullName;

  char *systemId;

  int updVersion;
  GWEN_DB_NODE *upd;
  int bankDoesntSign;

  AH_BPD *bpd;


  GWEN_MSGENGINE *msgEngine;

  GWEN_TYPE_UINT32 usage;

};



#endif /* AH_CUSTOMER_P_H */


